Subject: [mif] I-D Action:draft-ietf-mif-dns-server-selection-01.txt

From: [email-masked]
Date: Fri, 11 Mar 2011 02:30:02 -0800

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the Multiple Interfaces Working Group of the IETF.

	Title           : Improved DNS Server Selection for Multi-Homed Nodes
	Author(s)       : T. Savolainen, J. Kato
	Filename        : draft-ietf-mif-dns-server-selection-01.txt
	Pages           : 21
	Date            : 2011-03-11

A multi-homed node can be connected to multiple networks that may
utilize different DNS namespaces.  The node commonly receives DNS
server configuration information from all connected networks.  Some
of the DNS servers may have information about namespaces other
servers do not have.  When the multi-homed node needs to utilize DNS,
it has to choose which of the servers to contact to.  This document
describes a policy based method for helping on selection of DNS
server, for both forward and reverse DNS lookup procedures, with help
of DNS suffix and IPv6 prefix information received via DHCPv6.

A URL for this Internet-Draft is:
http://www.ietf.org/internet-drafts/draft-ietf-mif-dns-server-selection-01.txt

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

Below is the data which will enable a MIME compliant mail reader
implementation to automatically retrieve the ASCII version of the
Internet-Draft.

---

From: <[email-masked]>
Date: Mon, 14 Mar 2011 13:21:57 +0000

Hi,

As you can see, a new revision is out.

This revision contains a clean-up pass and also:
- Clarification of deployment scenarios
- Interaction with OPTION_DOMAIN_LIST
- CNAME/DNAME record considerations
- More DNSSEC considerations here and there
- Conflict resolution improvements if same DNS server address is received multiple times but with different suffix/prefix list
- Valid lifetime consideration (using DHCPv6 Information Refresh Time Option)

Comments welcome.

Best regards,

	Teemu

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On Behalf Of ext
> [email-masked]
> Sent: 11. maaliskuuta 2011 12:30
> To: [email-masked]
> Cc: [email-masked]
> Subject: [mif] I-D Action:draft-ietf-mif-dns-server-selection-01.txt
> 
> A multi-homed node can be connected to multiple networks that may utilize
> different DNS namespaces.  The node commonly receives DNS server configuration
> information from all connected networks.  Some of the DNS servers may have
> information about namespaces other servers do not have.  When the multi-homed
> node needs to utilize DNS, it has to choose which of the servers to contact
> to.  This document describes a policy based method for helping on selection of
> DNS server, for both forward and reverse DNS lookup procedures, with help of
> DNS suffix and IPv6 prefix information received via DHCPv6.
> 
> implementation to automatically retrieve the ASCII version of the Internet-
> Draft.